   /*
    * @(#) PlanarImageLoadedEventListener.java 1.0 2000/21/1
    * Copyright (c) 2000 Lawrence Rodrigues
    */

package com.vistech.jai.imageio;

  /** The listener interface for the planarImageLoaded event.
    * @version 1.0  21 Jan 2000
    * @author Lawrence Rodrigues
    **/

public interface PlanarImageLoadedListener extends java.util.EventListener{
   /** Called when a planarImageLoaded event is fired.
     * @param e the PlanarImageLoadedEvent object which carries the PlanarImage object
     * loaded by the source.
     */
   public void imageLoaded(PlanarImageLoadedEvent e);
}
