/*
 * @(#) ImageLoader.java 1.0 2000/10/4
 * Copyright (c) 2000 Larry Rodrigues
 */
package com.vistech.rmi;
import java.io.*;
import java.awt.image.*;
import java.awt.*;
import javax.media.jai.*;

/** Specifies a remote interface for saving JAI images remotely.
  * @version 1.0 12 june 2000
  * @author Lawrence Rodrigues
  **/
public interface JAIImageSaver extends JAIImageLoader {
   /** Saves an image remotely using the JAI code.
     * @param the name of the image in the remote directory.
     * @param the image format of the saved image.
     */
   public void saveJAIImage(String filename, String format)throws java.rmi.RemoteException;
}
