/* @(#) ShapeEventListener.java 1.1 99/21/11
 * Copyright (c) 1999 Lawrence Rodrigues
 */

 package com.vistech.roi;
 import java.io.*;
 /** Specifies a method that needs to be implemented by the listeners of the shape events.
   * Shape events are fired when a shape is drawn completely.
   * @version 1.0  21 Nov 1999
   * @author Lawrence Rodrigues
   **/
 public interface ShapeEventListener extends java.util.EventListener{
    /** Called when a shape event is fired.
      * @param e the ShapeEvent object
      */
    public void shapeDrawn(ShapeEvent e);
 }
