/*
 * @(#) ImageLoader.java 1.0 2000/10/4
 * Copyright (c) 2000 Larry Rodrigues
 */
package com.vistech.rmi;
import java.io.*;
import java.awt.image.*;
import java.awt.*;

/** Specifies a remote interface for loading images remotely.
  * @version 1.0 12 june 2000
  * @author Lawrence Rodrigues
  **/
public interface ImageLoader extends DirectoryBrowser {
   /** Loads an image as an array of bytes.
     * @param the name of the image in the remote directory.
     * @return an array of image bytes.
     */
   public byte[] loadImageAsBytes(String filename)throws java.rmi.RemoteException;
}
